package com.example.bpa.db.mode;

import android.util.Log;

import com.example.bpa.config.ConfigName;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 数据库基类
 * 创建人：fengyoufu add 20230412
 */
public class ModeBase {
    //ID 号
    public String id;
    //创建时间 统一用text存储
    public String createTime;
    //修改时间 统一用text存储
    public String updateTime;
    //删除时间 统一用text存储
    public String deleteTime;
    //设备ID
    public String deviceID;
    //用户id
    public String userID;
    //是否删除：0：未删除 1 删除
    public int isDelete;
    //备注
    public String exp;
    public ModeBase()
    {
        id=java.util.UUID.randomUUID().toString();
        createTime= new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());;
        isDelete=0;
        //Log.i("日志","创建时间:"+ createTime);
    }
}
